<template>
    <section class="hero">
        <div class="hero__background"></div>
            <div class="container grid grid--2">
                <div class="hero-left">
                    <h1 class="hero__title">Hey, I’m Damian<br> <span>Front End</span> Developer.</h1>
                    <p class="hero__caption">Stick around to see some of my work.</p>
                    <Button @click.native="goto('projects')" title="My Work" />
                    <Button @click.native="sendEmail()" title="Contact Me" outlined />
                    <img class="hero__arrow" src="../assets/arrow.svg" alt="">
                </div>
                <img class="hero__img" src="../assets/me.png" alt="">
            </div>
    </section>
</template>

<script>
import Button from './Button.vue'
import gsap from 'gsap'

export default {
    components: { Button },
    methods: {
        animation() {
            gsap.fromTo(".hero-left", 
                {x: -120, opacitx: 0}, 
                {x: 0, opacity: 1, duration: 0.6}
            );

            gsap.fromTo(".hero__img", 
                {x: 120, opacitx: 0}, 
                {x: 0, opacity: 1, duration: 0.6}
            );

            gsap.fromTo(".hero__background", 
                {opacity: 0}, 
                {opacity: 1, duration: 5}
            );
        },
        goto(refName) {
            const element = this.$root.$el.querySelector(`.${refName}`);
            element.scrollIntoView({behavior: 'smooth'});
        },
        sendEmail() {
            window.location = "mailto:damian.wysokinski99@gmail.com";
        }
    },
    mounted() {
        this.animation();
    }
}
</script>

<style scoped>
.hero {
    padding: 40px 0;
    position: relative;
}
.hero__title {
    color: #fff;
    font-size: 2.6rem;
    font-weight: 600;
    margin-bottom: 30px;
}
.hero__title span{
    color: var(--color-primary);
}
.hero__caption {
    margin-bottom: 50px;
}
.hero__img {
    display: none;
    position: relative;
    z-index: 1;
}
.hero-left {
    position: relative;
}
.hero__arrow {
    display: none;
}

@media screen and (min-width: 768px) {
    .hero {
        padding: 60px 0;
    }
    .hero .grid {
        align-items: center;
    }
    .hero__background {
        position: absolute;
        top: calc(50% - 20px);
        right: calc(50% - 260px);
        width: 0;
        height: 0;
        border-radius: 50%;
        filter: blur(140px);
        box-shadow:
            0 0 200px 100px #2CFFBA66,
            0 0 200px 90px #2CFFBA66,
            0 0 200px 80px #2CFFBA66;
    }
}

@media screen and (min-width: 960px) {
    .hero__img, .hero__arrow {
        display: block;
    }
    .hero__arrow {
        position: absolute;
        bottom: -100px;
        left: -60px;
        max-width: 122px;
    }
}

@media screen and (min-width: 1200px) {
    .hero {
        padding: 80px 0;
        height: 100vh;
    }
    .hero__title {
        font-size: 54px;
    }
}
</style>